Loading...
Searching...
No Matches
Opm::Properties::LiquidComponentIndex< TypeTag, TTag::Richards > Struct Template Reference

By default, assume that component which the liquid is made of has the same index as the liquid phase. More...

`#include <richardsmodel.hh>`

## Public Types

using | type

## Static Public Attributes

static constexpr int | value = getPropValue<TypeTag, Properties::LiquidPhaseIndex>()

## Detailed Description

template<class TypeTag>
struct Opm::Properties::LiquidComponentIndex< TypeTag, TTag::Richards >

By default, assume that component which the liquid is made of has the same index as the liquid phase.

This is a convention which works for most fluid systems shipped with eWoms by default, but it cannot generally correct because the liquid can be composed of different components. (e.g., do you prefer Ethanol of H2O??)

The documentation for this struct was generated from the following file:

- opm/models/richards/richardsmodel.hh